#include<bits/stdc++.h>
using namespace std;
int main(){
ios::sync_with_stdio(false);
cin.tie(nullptr);
int n,k,x;
cin>>n>>k>>x;
vector<long long>p(n);
for(int i=0;i<n;i++){
    cin>>p[i];}
vector<long long>rezultati;
for(int pocetak=0;pocetak+k<=n;pocetak++){
    vector<long long>b(p.begin()+pocetak,p.begin()+pocetak+k);
    if(x==1){
        long long suma=0;
        for(int i=0;i<k;i++)suma+=b[i];{
        rezultati.push_back(suma);}}
    else if(x==2){
        long long najbolje=LLONG_MIN;
        for(int pozicija=0;pozicija<k;pozicija++){
            long long aura=0;
            for(int i=0;i<k;i++){
                if(i<=pozicija)aura+=1*b[i];
                else aura+=2*b[i];}
            najbolje=max(najbolje,aura);}
        rezultati.push_back(najbolje);}}
for(int i=0;i<rezultati.size();i++){
if(i>0)cout<<" ";
cout<<rezultati[i];}
return 0;}